[x264-devel] commit: Use cross_prefix for strings in endian test and as test ( Ramiro Polla )

git at videolan.org git at videolan.org
Mon Jan 10 22:00:55 CET 2011


x264 | branch: master | Ramiro Polla <ramiro.polla at gmail.com> | Wed Dec 15 14:35:02 2010 -0200| [f05aff28a13a398900324c5b243e5fba71486ce5] | committer: Jason Garrett-Glaser 

Use cross_prefix for strings in endian test and as test

> http://git.videolan.org/gitweb.cgi/x264.git/?a=commit;h=f05aff28a13a398900324c5b243e5fba71486ce5
---

 configure |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/configure b/configure
index 0bab3e1..af0a699 100755
--- a/configure
+++ b/configure
@@ -478,7 +478,7 @@ if [ $asm = auto -a \( $ARCH = X86 -o $ARCH = X86_64 \) ] ; then
         exit 1
     fi
     if ! cc_check '' '' '__asm__("pabsw %xmm0, %xmm0");' ; then
-        VER=`(as --version || echo no gnu as) 2>$DEVNULL | head -n 1`
+        VER=`(${cross_prefix}as --version || echo no gnu as) 2>$DEVNULL | head -n 1`
         echo "Found $VER"
         echo "Minimum version is binutils-2.17"
         echo "Your compiler can't handle inline SSSE3 asm."
@@ -511,9 +511,9 @@ define SYS_$SYS
 
 echo "int i[2] = {0x42494745,0}; double f[2] = {0x1.0656e6469616ep+102,0};" > conftest.c
 $CC $CFLAGS conftest.c -c -o conftest.o 2>$DEVNULL || die "endian test failed"
-if (strings -a conftest.o | grep -q BIGE) && (strings -a conftest.o | grep -q FPendian) ; then
+if (${cross_prefix}strings -a conftest.o | grep -q BIGE) && (${cross_prefix}strings -a conftest.o | grep -q FPendian) ; then
     define WORDS_BIGENDIAN
-elif !(strings -a conftest.o | grep -q EGIB && strings -a conftest.o | grep -q naidnePF) ; then
+elif !(${cross_prefix}strings -a conftest.o | grep -q EGIB && ${cross_prefix}strings -a conftest.o | grep -q naidnePF) ; then
     die "endian test failed"
 fi
 



More information about the x264-devel mailing list